import { Schema, model } from "mongoose";
import { ApplicationType } from "../config/types";

const applicationSchema = new Schema<ApplicationType>({
  candidate: { type: Schema.Types.ObjectId, ref: "candidates" },
  job: { type: Schema.Types.ObjectId, ref: "jobs" },
  status: { type: String, require: false, default: "Pending" },
  interview: {
    type: {
      date: String,
      time: String,
      link: String,
      videoRef: String,
      voiceVerification: Number,
    },
    require: false,
  },
  score: {
    type: {
      primary: Number,
      primatyMatch: [String],
      secondary: Number,
      secondaryMatch: [String],
      similarity: Number,
      total: Number,
    },
    require: false,
  },
});

const Application = model<ApplicationType>("applications", applicationSchema);
export default Application;
