from fastapi import APIRouter
import os
from pyresparser import ResumeParser
import urllib
from baseModels.payloads import ExtractResume, ResumeScores

from scripts.processing import document_processing


router = APIRouter(prefix='/resume')

@router.post("/extract")
def extract(payload:ExtractResume):
    filename = 'resumes/'+payload.user_id+'.pdf'
    urllib.request.urlretrieve(payload.resume_url, filename)
    pyres_data = ResumeParser(filename).get_extracted_data()
    os.remove(filename)
    return pyres_data

@router.post("/get-scores")
def get_scores(payload:ResumeScores):
    filename = 'resumes/'+payload.user_id+'.pdf'
    urllib.request.urlretrieve(payload.resume_url, filename)
    skills = {"primary":payload.primary_skills, "secondary":payload.secondary_skills}

    result = document_processing(filename, skills, payload.job_desc)
    candidate = result.skills_match()

    os.remove(filename)
    return candidate